Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025500
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2014-01-17 08:572014-02-06 15:22
ReporterjecharriView Statuspublic 
Assigned Toguilleaer 
PriorityimmediateResolutionfixedFixed in VersionRMP31
StatusclosedFix in branchFixed in SCM revision64f88cfc3497
ProjectionnoneETAnoneTarget VersionRMP30
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomalsasua
Regression levelProduction - QA Approved
Regression date2013-12-11
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c1557c1c2d75f67a3c7554872aa0fe82d56a4506 [^]
Triggers an Emergency PackYes
Summary

0025500: Impossible to log in in Web POS if you do not fill field "Default country for BPs" in window Organization

DescriptionImpossible to log in in Web POS if you do not fill field "Default country for BPs" in window Organization
Steps To Reproduce-log in in the ERP
-remove field "Default country for BPs" for an organization used as Store


Verify that you are not able to log in
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0063455)
guilleaer (developer)
2014-01-17 09:33

This problem is caused because we are loading the name of the default country for BP and the name of the default category for business partners.

In the query we are assuming that these fields are filled. If These fields are not filled, the query will not return a result.

Correct behavior: The query should return the terminal details including null values in these fields.
(0063576)
hgbot (developer)
2014-01-21 13:38

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 3062146858fa147ae0c71a7a26d6820f6a139281
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Jan 21 13:17:52 2014 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3062146858fa147ae0c71a7a26d6820f6a139281 [^]

fixed issue 25500: The login works fine even if the default BP country or default BP category is not set in the rganization

---
M src/org/openbravo/retail/posterminal/term/TerminalProperties.java
---
(0063596)
malsasua (developer)
2014-01-22 11:41

verified
(0063600)
hgbot (developer)
2014-01-22 12:10

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 64f88cfc3497ee69382453bc0e724189a434cfec
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Jan 21 13:17:52 2014 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/64f88cfc3497ee69382453bc0e724189a434cfec [^]

fixed issue 25500: The login works fine even if the default BP country or default BP category is not set in the rganization

---
M src/org/openbravo/retail/posterminal/term/TerminalProperties.java
---
(0063602)
priyam (administrator)
2014-01-22 12:11

closing as status updated by RMP30.1 merge
(0063958)
hgbot (developer)
2014-02-06 13:18

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 3062146858fa147ae0c71a7a26d6820f6a139281
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Jan 21 13:17:52 2014 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/3062146858fa147ae0c71a7a26d6820f6a139281 [^]

fixed issue 25500: The login works fine even if the default BP country or default BP category is not set in the rganization

---
M src/org/openbravo/retail/posterminal/term/TerminalProperties.java
---
(0063962)
hgbot (developer)
2014-02-06 13:19

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 64f88cfc3497ee69382453bc0e724189a434cfec
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Jan 21 13:17:52 2014 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/64f88cfc3497ee69382453bc0e724189a434cfec [^]

fixed issue 25500: The login works fine even if the default BP country or default BP category is not set in the rganization

---
M src/org/openbravo/retail/posterminal/term/TerminalProperties.java
---
(0063991)
guilleaer (developer)
2014-02-06 15:22

reclosing issues

- Issue History
Date Modified Username Field Change
2014-01-17 08:57 jecharri New Issue
2014-01-17 08:57 jecharri Assigned To => guilleaer
2014-01-17 08:57 jecharri Resolution time => 1390431600
2014-01-17 08:57 jecharri Triggers an Emergency Pack => No
2014-01-17 08:57 jecharri Regression level => Production - QA Approved
2014-01-17 08:57 jecharri Triggers an Emergency Pack No => Yes
2014-01-17 09:10 jecharri Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c1557c1c2d75f67a3c7554872aa0fe82d56a4506 [^]
2014-01-17 09:10 jecharri Regression date => 2013-12-11
2014-01-17 09:33 guilleaer Note Added: 0063455
2014-01-21 13:38 hgbot Checkin
2014-01-21 13:38 hgbot Note Added: 0063576
2014-01-21 13:38 hgbot Status new => resolved
2014-01-21 13:38 hgbot Resolution open => fixed
2014-01-21 13:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3062146858fa147ae0c71a7a26d6820f6a139281 [^]
2014-01-22 08:58 priyam Issue Monitored: priyam
2014-01-22 11:41 malsasua Review Assigned To => malsasua
2014-01-22 11:41 malsasua Note Added: 0063596
2014-01-22 11:41 malsasua Status resolved => closed
2014-01-22 11:41 malsasua Fixed in Version => RMP31
2014-01-22 12:10 hgbot Checkin
2014-01-22 12:10 hgbot Note Added: 0063600
2014-01-22 12:10 hgbot Status closed => resolved
2014-01-22 12:10 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3062146858fa147ae0c71a7a26d6820f6a139281 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/64f88cfc3497ee69382453bc0e724189a434cfec [^]
2014-01-22 12:11 priyam Note Added: 0063602
2014-01-22 12:11 priyam Status resolved => closed
2014-02-06 13:18 hgbot Checkin
2014-02-06 13:18 hgbot Note Added: 0063958
2014-02-06 13:18 hgbot Status closed => resolved
2014-02-06 13:18 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/64f88cfc3497ee69382453bc0e724189a434cfec [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/3062146858fa147ae0c71a7a26d6820f6a139281 [^]
2014-02-06 13:19 hgbot Checkin
2014-02-06 13:19 hgbot Note Added: 0063962
2014-02-06 13:19 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/3062146858fa147ae0c71a7a26d6820f6a139281 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/64f88cfc3497ee69382453bc0e724189a434cfec [^]
2014-02-06 15:22 guilleaer Note Added: 0063991
2014-02-06 15:22 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker